<?php

namespace app\models;

class Blog extends \yii\db\ActiveRecord
{
    public $id;

    /**
     * {@inheritDoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['id'], 'integer'],
        ];
    }

    public function getUser()
    {
        return $this->hasOne(User::class, [ 'blog_id' => 'id' ]);
    }

    public function getCompany()
    {
        return $this->hasOne(Companies::class, [ 'blog_id' => 'id' ]);
    }

    /**
     * {@inheritDoc}
     */
    public function tableName()
    {
        return "blogs";
    }
}
